%global srcname trustme
%global common_description %{expand:
You wrote a cool network client or server.  It encrypts connections using TLS. Your test suite
needs to make TLS connections to itself.  Uh oh.  Your test suite probably doesn't have a valid
TLS certificate.  Now what?  trustme is a tiny Python package that does one thing: it gives you
a fake certificate authority (CA) that you can use to generate fake TLS certs to use in your
tests.  Well, technically they are real certs, they are just signed by your CA, which nobody
trusts.  But you can trust it.  Trust me.}

%bcond_with  tests

Summary:        #1 quality TLS certs while you wait, for the discerning tester
Name:           python-%{srcname}
Version:        1.1.0
Release:        1%{?dist}
License:        MIT or ASL 2.0
URL:            https://github.com/python-trio/trustme
Source0:        %pypi_source

BuildArch:      noarch

%description %{common_description}

%package -n python3-%{srcname}
Summary:        #1 quality TLS certs while you wait, for the discerning tester
BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  %{py3_dist pytest pyopenssl service-identity}
%endif

%description -n python3-%{srcname} %{common_description}

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%if %{with tests}
%check
%if %{defined el8}
%pytest --verbose -k "not (test_ca_custom_names or test_issue_cert_custom_names)"
%else
%pytest --verbose
%endif
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst

%changelog
* Mon Sep 25 2023 jackeyji <jackeyji@tencent.com> - 1.1.0-1
- upgrade to 1.1.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 29 2022 Shuo Wang <abushwang@tencent.com> - 0.9.0-1
- initial build
